<ion-content>
	<div class="page-wrapper">
		<div class="content">
			<div class="row">
				<div class="col-sm-5 col-4">
					<h4 class="page-title">Orden de servicio</h4>
				</div>
				<div class="col-sm-7 col-8 text-right m-b-30">
					<div class="btn-group btn-group-sm">
						<button class="btn btn-white">CSV</button>
						<button class="btn btn-white">PDF</button>
						<button class="btn btn-white">
							<i class="fa fa-print fa-lg"></i> Print
						</button>
					</div>
				</div>
			</div>
			<div class="row" *ngIf="order">
				<div class="col-md-12">
					<div class="card">
						<div class="card-body">
							<div class="row custom-invoice">
								<div class="col-6 col-sm-6 m-b-20">
									<img
										src="assets/img/logo.png"
										class="inv-logo"
										alt=""
									/>
								</div>
								<div class="col-6 col-sm-6 m-b-20">
									<div class="invoice-details">
										<h3 class="text-uppercase">
											Order #{{ order.order_id |
											number:'3.0-0' }}
										</h3>
										<ul class="list-unstyled">
											<li>
												Date:
												<span
													>{{ order.createdAt |
													date:'longDate' }}</span
												>
											</li>
										</ul>
									</div>
								</div>
							</div>
							<div class="row">
								<div class="col-sm-6 col-lg-6 m-b-20">
									<h5>Order to:</h5>
									<ul class="list-unstyled">
										<li>
											<h5>
												<strong
													>{{order.user.Nombre}}
													{{order.user.Apellido}}</strong
												>
											</h5>
										</li>
										<li>
											<span
												>{{order.user.informacion.Address}}</span
											>
										</li>
										<li>
											{{order.user.informacion.Province.Province}}
										</li>
										<li>
											{{order.user.informacion.Province.Country.Country}}
										</li>
										<li>
											{{order.user.informacion.Phone}}
										</li>
										<li>
											<a href="#"
												>{{ order.user.Auth.email }}</a
											>
										</li>
									</ul>
								</div>
								<div class="col-sm-6 col-lg-6 m-b-20">
									<div class="invoices-view">
										<span class="text-muted"
											>Payment Details:</span
										>
										<ul
											class="list-unstyled invoice-payment-details"
										>
											<li>
												<h5>
													Total Due:
													<span class="text-right"
														>{{total | number}}
														{{order.membership.rate.code}}
													</span>
												</h5>
											</li>
										</ul>
									</div>
								</div>
							</div>
							<div class="table-responsive">
								<table class="table table-striped table-hover">
									<thead>
										<tr>
											<th>#</th>
											<th>ITEM</th>
											<th>DESCRIPTION</th>
											<th>UNIT COST</th>
											<th>QUANTITY</th>
											<th>TOTAL</th>
										</tr>
									</thead>
									<tbody>
										<tr *ngIf="order.membership">
											<td>1</td>
											<td>
												Membresía {{
												order.membership.title }}
											</td>
											<td>
												{{ order.membership.description
												}}
											</td>
											<td>
												{{order.membership.cost *
												order.membership.rate.rate |
												number}}
												{{order.membership.rate.code}}
											</td>
											<td>{{ order.family_members }}</td>
											<td *ngIf="subTotal()">
												{{subtotal | number}}
												{{order.membership.rate.code}}
											</td>
										</tr>
									</tbody>
								</table>
							</div>

							<div class="row invoice-payment">
								<div class="col-sm-7"></div>
								<div class="col-sm-5">
									<div class="m-b-20">
										<h6>Total due</h6>
										<div class="table-responsive no-border">
											<table class="table mb-0">
												<tbody>
													<tr>
														<th>Subtotal:</th>
														<td class="text-right">
															{{subtotal |
															number}}
															{{order.membership.rate.code}}
														</td>
													</tr>
													<tr>
														<th>
															Tax:
															<span
																class="text-regular"
																>({{order.membership.rate.tax}}%)</span
															>
														</th>
														<td
															class="text-right"
															*ngIf="Tax()"
														>
															{{tax | number}}
															{{order.membership.rate.code}}
														</td>
													</tr>
													<tr>
														<th>Total:</th>
														<td
															class="text-right text-primary"
															*ngIf="Total()"
														>
															<h5>
																{{total |
																number}}
																{{order.membership.rate.code}}
															</h5>
														</td>
													</tr>
												</tbody>
											</table>
										</div>
									</div>
								</div>
							</div>
							<div class="mt-4 invoice-info">
								<div class="row">
									<div class="col-md-12">
										<input
											type="checkbox"
											name="term"
											id=""
											[value]="term ? 'false' : 'true'"
											(click)="term = $event.target.value"
										/>
										Acepto los terminos y condiciones de
										descuento automático de la tarjeta de
										credito
									</div>
									<div class="col-md-12">
										<input
											type="checkbox"
											name="term"
											id=""
											[value]="member ? 'false' : 'true'"
											(click)="member = $event.target.value"
										/>
										Acepto los terminos y condiciones
										aplicados a la membresía
									</div>
									<div
										class="text-center"
										[ngClass]="term && member ? 'col-md-6' : 'col-md-12'"
									>
										<button
											(click)="cancelar()"
											class="btn btn-danger btn-block"
										>
											CANCELAR
										</button>
									</div>
									<div
										*ngIf="term && member"
										class="col-md-6 text-center"
									>
										<button
											class="btn btn-primary btn-block"
										>
											ACEPTAR
										</button>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</ion-content>
